Subject: bug#17567: [External] : Re: bug#17567: 24.4.50; doc string of `define-derived-mode'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Sep 2021 22:05:51 +0300

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>,
>         "[email-masked]"
> 	<[email-masked]>
> Date: Sat, 25 Sep 2021 18:59:13 +0000
> 
> > > No, I won't try to verify your fix by downloading the
> > > updated files from master etc.  If you'd posted the
> > > new doc string in the bug thread I could easily have,
> > > and would have, gladly checked it.
> > 
> > There's no need to download anything, the up-to-date sources can be
> > browsed on the Savannah's Emacs project page using your Web browser.
> 
> As I said, if the updated doc string is posted
> in the bug-report thread then I'll be glad to
> check it (whether with a web browser or a mail
> client).

That's not how Emacs development works.  People who want to track the
development or participate in it are expected to access the Git
repository.

> But no, I'm not going to go to Savannah, find
> the Emacs project page, and dig out the source
> code.  Not for a doc string correction.

You can see the diffs there as well, if you want.  No need for any
digging, as the changes are shown in chronological order with their
commit log messages which can be easily searched to find what you
need.  If you refuse to do that, you are not helping the project as
much as you could have.